<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Introduction</title>

	<!-- internal CSS 
			advantages:
				We can apply style to multiple elemets with the same tag or multiple elements as we selected.

				However, this style from internal CSS can olny affect the elements where the internal CSS is added

				BUT inline style is given more priority over internal style. Wherein the properties set within the inline overrides the properties set via internal style.

				inline > internal > external styling

				However, external css is the best practice among the implementation of style. 
			-->

			<!-- external css is the best way/practice of implementing stylings. -->
			<link rel="stylesheet" type="text/css" href="./style.css">
			<!-- we can implement an external css to multiple pages. -->

			<!-- this is an example of internal css  -->
<!-- 
	<style type="text/css">
		h1 {
			color: pink !important;
			background-color: gray;
		}
	</style>
-->

</head>
<body>
	<!-- 
		The style attribute changes the styling properties of an element. This implementation of style is what we call inline styling.

		The value of style attribute are the properties of the element.
		The values before the colon (;) are the elemts's properties.
		The values after the colon are the values we would like to assign to our property.

		<tag style="property:value;">text</tag>

		Multiple properties can be changed or assigned in our inline-style.

		inline styling can become bulky, can become erratic.

		inline styling is specific to the tag it is attached to.
	-->

<!-- an example of inline styling
	<h1 style="color: red; font-size: 100px;">Hello World!</h1>
-->
<!-- nav bar -->
<nav id="top">
	<a href="#landing">Zuitt</a>
	<div>
		<a href="#landing">Landing</a>
		<a href="#Register">Register</a>
	</div>

</nav>

<h1>Hello World!</h1>


<section id="landing">
	<h2>Welcome to Zuitt!</h2>
	<h3 id="zuitt-motto">Opportunities for Everyone, Everywhere!</h3>
	<img src="https://place-puppy.com/450x450">	
	<ol id="bootcamp-learning-list">
		<!-- class can be used to add stylings to elements with the same class. Unlike id, it can implemented to multiple elements. -->
		<li class="offering-item">Day Classes</li>
		<li class="offering-item">Night Classes</li>
		<li class="offering-item">Intro to Coding Events</li>
	</ol>

	<!-- when assigning a element's id as href for anchor we can navigate to that part of the page. -->
	<a href="#top">Back to Top</a>
</section>

<section id="register">
	<h2>Register</h2>
	<form>
		<label for="first-name">First Name:</label>
		<input type="text" name="first-name" id="first-name" required autocomplete="">
		
		<label for="last-name">Last Name:</label>
		<input type="text" name="last-name" id="last-name" required autocomplete="">
		
		<label for="email">Email:</label>
		<input type="email" name="email" id="email" required autocomplete>
		
		<label for="password">Password:</label>
		<input type="password" name="password" id="password" required autocomplete="">

		<button type="submit">Apply Now!</button>
	</form>

	<a href="#top">Back to Top</a>	
</section>




</body>
</html>


















